package cokr.xit.fims.task;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.DelegatingWebMvcConfiguration;
import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;

@Configuration
public class TaskMvcConfig extends DelegatingWebMvcConfiguration {
	@Override
	protected RequestMappingHandlerMapping createRequestMappingHandlerMapping() {
		return new TaskRequestMappingHandlerMapping();
	}

	@Bean
	TaskRequestMappingHandlerMapping taskRequestMappingHandlerMapping() {
		return new TaskRequestMappingHandlerMapping();
	}
}